--- title: "Change Default Ranking" slug: "analytics-cloudsearch-changeranking" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-changeranking" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Change Default Ranking **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Change the default Ranking for that domain. ``` PATCH https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/ranking/{rankingName} ``` ## Request ### Request parameter | Parameter Name | Required | Type | Restrictions | Description | | --- | --- | --- | --- | --- | | name | Yes | string | | The name of the created domain | | rankingName | Yes | string | | The name of the created ranking | ### Response Status | Http Status | Desc | | --- | --- | | 200 | OK | | 400 | Bad Request | | 401 | Unauthorized | | 401 | there is no such service | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Example ### Example Request ``` PATCH /CloudSearch/real/v1/domain/search_test/ranking/clous Host: cloudsearch.apigw.ntruss.com haveContainer: false haveUsage: false accept: application/json x-ncp-iam-access-key: cPMl0CYGgRYvEa8sylCj x-ncp-apigw-signature-v2: nn6HxvbYlXzuDBLYG8qNdz4Z7Y6qs+l5EX8BmGwI/EI= x-ncp-apigw-timestamp: 1551436817715 ```